//---------------------------------------------------------------------------

#ifndef FrmPswdChngeFH
#define FrmPswdChngeFH
//---------------------------------------------------------------------------
#include <vcl.h>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <jpeg.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
#include "ITSDbF.h"
#include "cxButtons.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinMcSkin.hpp"
//---------------------------------------------------------------------------
class TFRMPswdChnge : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel3;
    TPanel *Panel1;
    TPanel *Panel2;
    TPanel *Panel4;
    TEdit *EdUserID;
    TEdit *EdPswd;
    TEdit *EdNewPswd;
    TEdit *EdCnfmNewPswd;
    TShape *ShpList;
    TShape *ShpInfo;
    TcxButton *BtnConfirm;
    TcxButton *BtnClose;
    TPanel *Panel5;
    TPanel *Panel6;
    TPanel *Panel7;
    TPanel *Panel8;
    TPanel *Panel9;
    void __fastcall btnPswdChngeClick(TObject *Sender);
    void __fastcall btnCloseClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall ShpCaptionMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall EdUserIDKeyPress(TObject *Sender, wchar_t &Key);
    void __fastcall EdPswdKeyPress(TObject *Sender, wchar_t &Key);
    void __fastcall EdNewPswdKeyPress(TObject *Sender, wchar_t &Key);
    void __fastcall EdCnfmNewPswdKeyPress(TObject *Sender, wchar_t &Key);
private:	// User declarations
public:		// User declarations
    __fastcall TFRMPswdChnge(TComponent* Owner);

    bool __fastcall ValidateInputField(void);
	void __fastcall SetLocalSkin();
    void __fastcall CreateParams(TCreateParams &Params);
    int __fastcall UpdateUserPassword(String strUserID, String strNewPswd);
public:
};
//---------------------------------------------------------------------------
extern PACKAGE TFRMPswdChnge *FRMPswdChnge;
//---------------------------------------------------------------------------
#endif
